{% extends 'appPrueba/plantilla.html' %}

{% block content %}

<div class="col-md-6 offset-3">
	<h3 style="text-align: center; margin-bottom: 3%;">Crear cuenta</h3>
	<form class="form1" action="" method="post" enctype="multipart/form-data" id="form">
		{% csrf_token %}
		<label>Nombre de usuario:</label>
		<input class="form-control" type="text" name="idUsuario" required>
		<label>Contraseña:</label>
		<input class="form-control" type="password" name="password" required>
		<button type="submit" class="form-control btn btn-primary" id="guardar"><i class="fas fa-save"></i> Guardar</button>
	</form>
</div>

{% include 'appPrueba/modalGuardando.html' %}

{% endblock content %}

{% block extrastyle %}
	
<style>
	.btn{
        margin-top: 2%;
        margin-bottom: 2%;
    }
</style>

{% endblock extrastyle %}

{% block extrajs %}

<script>

$(document).ready(function(){
	$('#guardar').on('click', function(){
		var valido = true;
		$(":required").each(function() {
		   if($(this).val() === "") valido = false;
		});
		if(valido){
			$('#guardando').modal();
		}
    });
});

</script>

{% endblock extrajs %}
